Status: Closed Start date: 07/08/2014

Priority: Normal Due date:  

Assigned To: Mayer Michael % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3rd coding sprint   

Description

To compute residual maps, the simple operations to subtract two sky maps would be easy to implement. Doing so, we could add

further mathematical operators like "plus", "division", and "multiplication".

We could also add functions which scale the entries of the map by a factor or take the square root of it.

History

#1 - 07/08/2014 02:10 PM - Mayer Michael

- Assigned To set to Mayer Michael

I've added functionality supporting *= and /= operators, as well as the friend sqrt function.

The branch is in the central repo, called 1247-add-operators-and-friends-to-GSkymap

#2 - 07/08/2014 06:29 PM - Knödlseder Jürgen

I was about to merge in your change, but I recognized that there is some change in GModelSpatialRadialGauss. Any clues where this change comes

from?

 double GModelSpatialRadialGauss::theta_max(void) const

 {

     // Return value

-    return (sigma() * gammalib::deg2rad * 5.0);

+    return (sigma() * gammalib::deg2rad * 1.7941227);

 }

#3 - 07/08/2014 06:36 PM - Mayer Michael

oups, I might have played around with this value to check the computation time in the past. I don't know why this has been checked into repository at

all. So you can just drop that. Sorry for the confusion

#4 - 07/09/2014 12:44 AM - Knödlseder Jürgen

- Status changed from New to Resolved

- Target version set to 3rd coding sprint
No worries. Merged in the change.

#5 - 07/09/2014 12:44 AM - Knödlseder Jürgen

- % Done changed from 0 to 100

#6 - 07/20/2014 11:21 PM - Knödlseder Jürgen

- Status changed from Resolved to Closed
